import { Injectable } from '@nestjs/common';
import { Cron } from '@nestjs/schedule';
import { EquipoService } from '../equipo/equipo.service';
import { MultaService } from '../multa/multa.service';
import { PrestamoService } from '../prestamo/prestamo.service';

@Injectable()
export class CronService {
  constructor(
    private equipoService: EquipoService,
    private multaService: MultaService,
    private prestamoService: PrestamoService,
  ) {}

  @Cron('* 6-20 * * 1-6', { name: 'prestamos_desactivacion' })
  desactivarPrestamos() {
    return this.prestamoService.desactivarPrestamos();
  }

  @Cron('0 0 * * 1-6', { name: 'equipos_reseteo' })
  resetearEquipos() {
    return this.equipoService.reseteoTotal();
  }

  @Cron('0 1 * * 1-6', { name: 'multas_reseteo' })
  revisarMultas() {
    return this.multaService.desactivarMultas();
  }
}
