import {
  IsInt,
  IsNotEmpty,
  IsOptional,
  IsString,
  MaxLength,
} from 'class-validator';

export class UpdateEquipoDto {
  @IsInt()
  id_equipo: number;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  equipo?: string;

  @IsInt()
  @IsOptional()
  id_carrito?: number;

  @IsInt()
  @IsOptional()
  id_status?: number;

  @IsString()
  @IsNotEmpty()
  @MaxLength(250)
  @IsOptional()
  motivo?: string;
}
