import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionTipoEntradaController } from './institucion-tipo-entrada.controller';
import { InstitucionTipoEntradaService } from './institucion-tipo-entrada.service';
import { InstitucionModule } from '../institucion/institucion.module';
import { InstitucionTipoEntrada } from './entity/institucion-tipo-entrada.entity';
import { TipoEntrada } from './entity/tipo-entrada.entity';
import { ValidarUsuarioModule } from '../validar-usuario/validar-usuario.module';

@Module({
  imports: [
    InstitucionModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([InstitucionTipoEntrada, TipoEntrada]),
    ValidarUsuarioModule,
  ],
  controllers: [InstitucionTipoEntradaController],
  providers: [InstitucionTipoEntradaService],
  exports: [InstitucionTipoEntradaService],
})
export class InstitucionTipoEntradaModule {}
