import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { Modulo } from '../modulo.entity';
import { Institucion } from '../../../institucion/entity/institucion.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('m.id_modulo', 'id_modulo')
      .addSelect('m.activo', 'activo_modulo')
      .addSelect('m.modulo', 'modulo')
      .addSelect('m.id_institucion', 'id_institucion')
      .addSelect('i.institucion', 'institucion')
      .from(Modulo, 'm')
      .innerJoin(Institucion, 'i', 'i.id_institucion = m.id_institucion')
      .orderBy('institucion', 'ASC')
      .addOrderBy('modulo', 'ASC'),
})
export class MinInformacionModuloView {
  @ViewColumn()
  id_modulo: number;

  @ViewColumn()
  activo_modulo: number;

  @ViewColumn()
  id_institucion: number;

  @ViewColumn()
  institucion: string;

  @ViewColumn()
  modulo: string;
}
